Index: issm/trunk/examples/Pig/runme.m
===================================================================
--- issm/trunk/examples/Pig/runme.m	(revision 18301)
+++ issm/trunk/examples/Pig/runme.m	(revision 18301)
@@ -0,0 +1,228 @@
+%Which steps to be performed
+steps=[1] ;
+
+%Run Steps
+
+% {{{ Mesh Generation #1
+if any(steps==1)
+
+	md.miscellaneous.name='PIG.Mesh_generation';
+
+	%Mesh parameters
+	domain =['./DomainOutline.exp'];
+	hmax=40000;    % maximum element size of the final mesh
+	hmin=5000;     % minimum element size of the final mesh
+	hinit=10000;   % element size for the initial mesh
+	gradation=1.7; % maximum size ratio between two neighboring elements
+	err=8;         % maximum error between interpolated and control field
+
+	% Generate an initial uniform mesh (resolution = hinit m)
+	md=bamg(model,'domain',domain,'hmax',hinit,'MaxCornerAngle',1);
+
+	%ploting
+	plotmodel(md,'data','mesh')
+
+	% Load Velocities
+	% http://nsidc.org/data/nsidc-0484.html
+	nsidc_vel='../Data/Antarctica_ice_velocity.nc'; 	
+
+	% Get necessary data to build up the velocity grid
+	xmin = ncreadatt(nsidc_vel,'/','xmin');
+	xmin = strtrim(xmin);  % this is a string, and we need to recover the double value
+	xmin = xmin(1:end-2);  % get rid of the unit
+	xmin = str2num(xmin);  % convert to double
+	
+	ymax = ncreadatt(nsidc_vel,'/','ymax'); 
+	ymax = strtrim(ymax);  
+	ymax = ymax(1:end-2);  
+	ymax = str2num(ymax); 
+	
+	nx = ncreadatt(nsidc_vel,'/','nx');
+	ny = ncreadatt(nsidc_vel,'/','ny');
+	
+	spacing = ncreadatt(nsidc_vel,'/','spacing'); 
+	spacing = strtrim(spacing);
+	spacing = spacing(1:end-2);  
+	spacing = str2num(spacing); 
+	
+	% Get velocities (Note: You can use ncdisp('file') to see an ncdump)
+	vx = double(ncread(nsidc_vel,'vx'));
+	vy = double(ncread(nsidc_vel,'vy'));
+	
+	x=xmin+(0:1:nx)'*spacing; 
+	x=double(x);
+	y=(ymax-ny*spacing)+(0:1:ny)'*spacing; 
+	y=double(y);
+
+	% Interpolate velocities onto coarse mesh
+	vx_obs=InterpFromGridToMesh(x,y,flipud(vx'),md.mesh.x,md.mesh.y,0);
+	vy_obs=InterpFromGridToMesh(x,y,flipud(vy'),md.mesh.x,md.mesh.y,0);
+	vel_obs=sqrt(vx_obs.^2+vy_obs.^2);
+	clear vx vy x y;
+
+	% Adapt the mesh to minimize error in velocity interpolation
+	md=bamg(md,'hmax',hmax,'hmin',hmin,'gradation',gradation,'field',vel_obs,'err',err);
+	
+	%ploting
+	plotmodel(md,'data','mesh')
+
+	% Convert x,y coordinates (Polar stereo) to lat/lon
+	[md.mesh.lat,md.mesh.long]=xy2ll(md.mesh.x,md.mesh.y,-1);
+	
+	% Save model
+	save ./Models/PIG.Mesh_generation md;
+end
+% }}}
+
+% {{{ Masks #2
+if any(steps==2) 
+
+	md = loadmodel('./Models/PIG.Mesh_generation');	
+
+	% Load SeaRISe dataset for Antarctica  
+	% http://websrv.cs.umt.edu/isis/index.php/Present_Day_Antarctica
+	searise='../Data/Antarctica_5km_withshelves_v0.75.nc';
+	
+	%read thickness mask from SeaRISE
+	x1=double(ncread(searise,'x1'));
+	y1=double(ncread(searise,'y1'));
+	thkmask=double(ncread(searise,'thkmask'));
+	
+	%interpolate onto our mesh vertices
+	groundedice=double(InterpFromGridToMesh(x1,y1,thkmask',md.mesh.x,md.mesh.y,0));
+	groundedice(groundedice<=0)=-1;
+	clear thkmask;
+
+	%fill in the md.mask structure
+	md.mask.groundedice_levelset=groundedice; %ice is grounded for mask equal one
+	md.mask.ice_levelset=-1*ones(md.mesh.numberofvertices,1);%ice is present when negatvie
+
+	%ploting
+	plotmodel(md,'data',md.mask.groundedice_levelset,'title','grounded/floating','data',md.mask.ice_levelset,'title','ice/no-ice')
+	
+	% Save model
+	save ./Models/PIG.SetMask md;
+end
+% }}}
+
+% {{{ Parameterization #3
+if any(steps==3) 
+
+	md = loadmodel('./Models/PIG.SetMask');
+	md = parameterize(md,'./Pig.par');
+
+	% Use a MacAyeal flow model
+	md = setflowequation(md,'SSA','all');
+	
+	% Save model
+	save ./Models/PIG.Parameterization md;
+end
+% }}}
+
+% {{{ Control Method #4
+if any(steps==4)
+
+	md = loadmodel('./Models/PIG.Parameterization');
+
+	% Control general
+	md.inversion.iscontrol=1;
+	md.inversion.maxsteps=20;
+	md.inversion.maxiter=40;
+	md.inversion.dxmin=0.1;
+	md.inversion.gttol=1.0e-4;
+	md.verbose=verbose('solution',true,'control',true);
+
+	% Cost functions
+	md.inversion.cost_functions=[101 103 501];
+	md.inversion.cost_functions_coefficients=ones(md.mesh.numberofvertices,3);
+	md.inversion.cost_functions_coefficients(:,1)=1;
+	md.inversion.cost_functions_coefficients(:,2)=1;
+	md.inversion.cost_functions_coefficients(:,3)=8e-15;
+
+	% Controls
+	md.inversion.control_parameters={'FrictionCoefficient'};
+	md.inversion.min_parameters=1*ones(md.mesh.numberofvertices,1);
+	md.inversion.max_parameters=200*ones(md.mesh.numberofvertices,1);
+
+	% Additional parameters
+	md.stressbalance.restol=0.01;
+	md.stressbalance.reltol=0.1;
+	md.stressbalance.abstol=NaN;
+
+	% Solve
+	md.toolkits=toolkits;
+	md.cluster=generic('name',oshostname,'np',2);
+	md=solve(md,StressbalanceSolutionEnum);
+
+	% Update model friction fields accordingly
+	md.friction.coefficient=md.results.StressbalanceSolution.FrictionCoefficient;
+
+	plotmodel(md,'data',md.friction.coefficient)
+
+	% Save model
+	save ./Models/PIG.Control_drag md;
+end
+% }}}
+
+% {{{ Plot #5
+if any(steps==5)
+
+	md = loadmodel('./Models/PIG.Control_drag');
+
+	plotmodel(md,'nlines',2,'ncols',2,'unit#all','km','axis#all','equal',...
+		'xlim#all',[min(md.mesh.x) max(md.mesh.x)]/10^3,...
+		'ylim#all',[min(md.mesh.y) max(md.mesh.y)]/10^3,...
+		'FontSize#all',12,...
+		'data',md.initialization.vel,'title','Observed velocity',...
+		'data',md.results.StressbalanceSolution.Vel,'title','Modeled Velocity',...
+		'data',md.geometry.base,'title','Bed elevation',...
+		'data',md.results.StressbalanceSolution.FrictionCoefficient,'title','Friction Coefficient',...
+		'colorbar#all','on','colorbartitle#1-2','[m/yr]',...
+		'caxis#1-2',([1.5,4000]),...
+		'colorbartitle#3','[m]', 'log#1-2',10);
+end
+% }}}
+
+% {{{ HO #6
+if any(steps==6)
+
+	% Load Model
+
+	% Disable inversion
+
+	% Extrude Mesh
+
+	% Set Flowequation
+
+	% Solve
+
+	% Save Model
+
+end
+% }}}
+
+% {{{ Plot #7
+if any(steps==7)
+
+	mdHO = loadmodel('./Models/PIG.ModelHO');
+	mdSSA = loadmodel('./Models/PIG.Control_drag');
+
+	basal=find(mdHO.mesh.vertexonbase);
+	surf=find(mdHO.mesh.vertexonsurface);
+
+	plotmodel(mdHO,'nlines',3,'ncols',2,'unit#all','km','axis#all','equal',...
+						'xlim#all',[min(mdHO.mesh.x) max(mdHO.mesh.x)]/10^3,...
+						'ylim#all',[min(mdHO.mesh.y) max(mdHO.mesh.y)]/10^3,...
+						'FontSize#all',12,...
+						'data',mdHO.initialization.vel,'title','Observed velocity',...
+						'data',(mdHO.results.StressbalanceSolution.Vel(surf)-mdHO.initialization.vel(surf)),'title','(HO-observed) velocities',...
+						'data',mdSSA.results.StressbalanceSolution.Vel,'title','Modeled SSA Velocity',...
+						'data',(mdHO.results.StressbalanceSolution.Vel(surf)-mdSSA.results.StressbalanceSolution.Vel),'title','(HO-SSA) velocities',...
+						'data',mdHO.results.StressbalanceSolution.Vel,'title','Modeled HO surface Velocities',...
+						'data',(mdHO.results.StressbalanceSolution.Vel(surf)-mdHO.results.StressbalanceSolution.Vel(basal)),'title','(HOsurf-HO base) velocities',...
+						'caxis#1',([1.5,4000]),'caxis#3',([1.5,4000]),'caxis#5',([1.5,4000]),...
+						'colorbar#all','on','view#all',2,...
+						'colorbartitle#all','[m/yr]',...
+						'layer#5',1, 'log#1', 10,'log#3', 10,'log#5', 10);
+end
+% }}}
Index: issm/trunk/examples/SquareIceShelf/Front.exp
===================================================================
--- issm/trunk/examples/SquareIceShelf/Front.exp	(revision 18081)
+++ issm/trunk/examples/SquareIceShelf/Front.exp	(revision 18301)
@@ -4,7 +4,7 @@
 5 1.
 # X pos Y pos
--1000 900000
+-1000 999999
 -1000 1100000
 1100000 1100000
-1100000 900000
--1000 900000
+1100000 999999
+-1000 999999
Index: issm/trunk/examples/UncertaintyQuantification/ErrorContour.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/ErrorContour.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/ErrorContour.exp	(revision 18301)
@@ -0,0 +1,24 @@
+## Name:ErrorContour
+## Icon:0
+# Points Count Value
+18 1.000000
+# X pos Y pos
+-1642090.6657102096 -328038.7002928721
+-1665417.0018035804 -319119.8070807009
+-1681882.6508106657 -304712.3641995014
+-1666103.0705122089 -245710.4552574461
+-1632485.7037894099 -232675.1497935036
+-1616020.0547823247 -224442.3252899610
+-1598182.2683579824 -200429.9204879618
+-1596810.1309407253 -181219.9966463624
+-1615333.9860736963 -160637.9353875059
+-1559762.4206747836 -147602.6299235635
+-1527517.1913692418 -188080.6837326479
+-1566623.1077610692 -218953.7756209326
+-1533691.8097468987 -229244.8062503609
+-1523400.7791174706 -309514.8451599012
+-1533691.8097468987 -350678.9676776142
+-1594751.9248148398 -371261.0289364707
+-1636602.1160411814 -349306.8302603571
+-1642090.6657102096 -328038.7002928721
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux1.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux1.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux1.exp	(revision 18301)
@@ -0,0 +1,22 @@
+## Name:MassFlux1
+## Icon:0
+# Points Count Value
+16 1.000000
+# X pos Y pos
+-1638344.3538415846 -328022.1178486745
+-1636175.0592654669 -328022.1178486745
+-1634647.1933393457 -327710.7373731936
+-1631836.4701132313 -326087.2311287920
+-1629847.9500851235 -324428.7567974643
+-1626413.2336729371 -321756.7703747695
+-1622074.6445207016 -320098.2960434417
+-1618278.3790124957 -319637.6087291840
+-1614210.9516822749 -319729.7461920356
+-1609601.2007080249 -320466.8458948479
+-1604539.5133637502 -322954.5573918396
+-1602370.2187876324 -324613.0317231673
+-1599206.6641974607 -326824.3308316044
+-1595681.5605112694 -327008.6057573075
+-1593150.7168391321 -327653.5679972683
+-1590710.2604409996 -330786.2417342208
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux10.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux10.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux10.exp	(revision 18301)
@@ -0,0 +1,8 @@
+## Name:MassFlux11
+## Icon:0
+# Points Count Value
+2 1.000000
+# X pos Y pos
+-1539536.1089629673 -171232.8272031187
+-1540384.1546699132 -200614.0179257037
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux11.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux11.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux11.exp	(revision 18301)
@@ -0,0 +1,8 @@
+## Name:MassFlux12
+## Icon:0
+# Points Count Value
+2 1.000000
+# X pos Y pos
+-1559431.5986180613 -236969.7272119786
+-1549112.1094185982 -261719.2194756830
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux12.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux12.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux12.exp	(revision 18301)
@@ -0,0 +1,8 @@
+## Name:MassFlux13
+## Icon:0
+# Points Count Value
+2 1.000000
+# X pos Y pos
+-1572656.1032135738 -292391.9615161452
+-1573651.1418990945 -315407.7936937447
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux13.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux13.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux13.exp	(revision 18301)
@@ -0,0 +1,8 @@
+## Name:MassFlux14
+## Icon:0
+# Points Count Value
+2 1.000000
+# X pos Y pos
+-1579674.9916810417 -321516.2892665596
+-1587436.3185859676 -337140.9687259690
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux14.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux14.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux14.exp	(revision 18301)
@@ -0,0 +1,8 @@
+## Name:MassFlux14
+## Icon:0
+# Points Count Value
+2 1.000000
+# X pos Y pos
+-1579674.9916810417 -321516.2892665596
+-1587436.3185859676 -337140.9687259690
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux15.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux15.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux15.exp	(revision 18301)
@@ -0,0 +1,127 @@
+## Name:
+## Icon:0
+# Points Count Value
+121 25000.000000
+# X pos Y pos
+-1712012.0818103175 -348661.1275967784
+-1711738.9446965172 -348380.8584401013
+-1709339.1962288069 -348358.9741029009
+-1707566.1624406802 -348048.0535193763
+-1706142.6423542583 -346463.0619396989
+-1703644.8906504354 -344421.7875470470
+-1701428.0245438961 -343211.6412474416
+-1699098.6802015656 -343202.0651453367
+-1698767.2671226400 -341251.8958583454
+-1694089.8466347910 -339325.0408948531
+-1691249.4280928215 -338644.2293668062
+-1688271.0930389061 -338423.0784381799
+-1686131.0738047434 -339115.2406933784
+-1682853.5065837551 -340300.2702040364
+-1681648.3224467863 -342890.2203795200
+-1681160.5378740367 -343956.3892846339
+-1681343.2453770319 -345059.2736684235
+-1680476.2008784728 -345129.3389066600
+-1679673.6094558411 -346405.5378093903
+-1679898.5797234357 -347818.5803631411
+-1677215.4777375804 -347397.3820658240
+-1674583.5118423651 -349115.8291018623
+-1675803.3920552148 -352985.6713725598
+-1672935.8509424068 -352801.1873251720
+-1668529.5198238282 -353048.3463822120
+-1666370.5689502691 -354473.4893832008
+-1665423.6161039397 -356733.4691418489
+-1662720.0686237188 -357334.8975107344
+-1660276.4961961196 -357869.6209268258
+-1657124.6115999895 -361080.6428832713
+-1655993.6074009922 -363193.2597271361
+-1653688.2093358042 -364017.9494011777
+-1654435.7188006472 -361506.6539926908
+-1652050.9793420888 -355295.4585798742
+-1649364.4081354018 -349945.5944371450
+-1645761.7354861272 -350839.5079576963
+-1645996.5509334437 -351783.7951824765
+-1645345.5744557772 -351250.5634369315
+-1644300.2406060672 -352221.4198542684
+-1644633.1139884400 -348521.7302174515
+-1647057.7191411837 -348406.3266729190
+-1645415.0137059502 -341247.9400814587
+-1644395.7076754270 -340417.8557739360
+-1644169.8943326229 -336477.7151767056
+-1643216.0658811626 -334392.3056475453
+-1641434.0471865973 -334447.2336099123
+-1641190.7738541283 -334332.2252321915
+-1641050.9552025823 -333796.1902735520
+-1639787.1689887117 -331073.8439645328
+-1637807.1154673321 -329711.1825533187
+-1635805.1587214153 -327827.0308139678
+-1632065.9795259857 -326063.4189332099
+-1625929.4636559838 -324999.2470617331
+-1619584.9279456623 -324892.7557348280
+-1615193.9710026928 -325097.1546172730
+-1611296.7956007582 -324995.1262699560
+-1608304.4173934418 -325211.0183405159
+-1603316.9037486394 -326424.5673739603
+-1600245.1111844976 -328836.3685103582
+-1595818.7639296530 -331148.7367850624
+-1591649.1976614639 -334787.7632693424
+-1588371.5600852505 -337840.7799059978
+-1587648.7608976758 -343365.9382903088
+-1587132.8425864622 -345049.3782468919
+-1586012.7810109658 -347625.9740446581
+-1588260.6470941922 -349356.1732009141
+-1584626.3352827206 -352498.3947002917
+-1584121.7278491815 -354575.2387267592
+-1584906.9380743054 -356537.0120279597
+-1585446.5634405916 -359133.6460951389
+-1586894.3150289655 -361098.6217195836
+-1585768.2162689434 -363527.8170254802
+-1584807.6500740163 -365694.8871387623
+-1585744.0045738907 -368358.0113804646
+-1585152.9531241022 -369694.9777909298
+-1584499.3876485692 -371017.3807505022
+-1585456.9434211247 -372944.8898924028
+-1429208.6248950495 -363616.6734221856
+-1415050.5145378630 -326851.1264040734
+-1413047.7406149551 -325411.1419014899
+-1405442.9810691341 -295790.2533492565
+-1388007.7873070226 -266002.2718567938
+-1375120.7873420289 -286146.6923060659
+-1373971.2210923850 -285345.4403176561
+-1346034.9931278315 -322527.8743193840
+-1351274.5360716779 -327267.6902373450
+-1382747.3419384742 -297522.4999399224
+-1382639.2845126297 -296126.1700367680
+-1382479.2357768724 -295804.4343703665
+-1397758.7640077863 -316499.0520702488
+-1408929.4248104726 -362684.2359936420
+-1202573.2098436793 -350320.7957165864
+-1192371.9994205239 -349816.1301302491
+-1233144.4335198263 -292276.3631183850
+-1232225.6096719459 -288608.8406540032
+-1360692.9373680721 -108664.8182541504
+-1424223.8165527256 -81531.7934136631
+-1403445.8481024427 -45960.5859752788
+-1478312.1378749039 59339.3203815984
+-1513118.6444103392 3225.4273728387
+-1524169.2804273698 11860.8708815790
+-1504759.9852699745 36302.7657860445
+-1528911.0294425790 62751.8076344339
+-1622627.2364271644 61937.4929792271
+-1647011.3496706884 32864.6807476235
+-1637527.3859760596 19912.7371761968
+-1650069.2631712460 30042.0704865309
+-1724734.6043381831 -61378.0233897057
+-1718614.9048978437 -69045.3133313945
+-1758091.3164752426 -113926.3236823874
+-1754430.7541207569 -116894.8054778867
+-1760233.4203404333 -126776.6398906443
+-1757170.3120773330 -130521.7753713153
+-1762186.6328915418 -136423.2047200473
+-1765126.7323215308 -132420.4516091067
+-1769785.4415677825 -135199.8713571306
+-1774818.6171028516 -132429.3647437230
+-1793280.1507095622 -153411.6536596067
+-1711636.5537849038 -224740.3773715630
+-1729008.9305659365 -335286.5679692774
+-1712012.0818103175 -348661.1275967784
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux2.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux2.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux2.exp	(revision 18301)
@@ -0,0 +1,171 @@
+## Name:MassFlux2
+## Icon:0
+# Points Count Value
+165 1.000000
+# X pos Y pos
+-1609993.8450579999 -266189.3103270000
+-1609790.4465310001 -265898.8271340000
+-1609587.0480040000 -265608.3439410000
+-1609383.6494770001 -265317.8607480000
+-1609136.7086169999 -265274.3184150000
+-1608933.3100900000 -264983.8352220000
+-1608686.3692300001 -264940.2928890000
+-1608236.0298430000 -264606.2673630000
+-1607989.0889830000 -264562.7250310000
+-1607785.6904559999 -264272.2418380000
+-1607538.7495960000 -264228.6995050000
+-1607291.8087370000 -264185.1571720000
+-1607044.8678770000 -264141.6148390000
+-1606797.9270170000 -264098.0725060000
+-1606304.0452970001 -264010.9878410000
+-1606057.1044369999 -263967.4455080000
+-1605810.1635769999 -263923.9031750000
+-1605563.2227179999 -263880.3608420000
+-1605316.2818580000 -263836.8185100000
+-1605069.3409980000 -263793.2761770000
+-1604778.8578049999 -263996.6747040000
+-1604531.9169449999 -263953.1323710000
+-1604038.0352250000 -263866.0477060000
+-1603791.0943660000 -263822.5053730000
+-1603500.6111730000 -264025.9039000000
+-1603253.6703130000 -263982.3615680000
+-1602963.1871199999 -264185.7600950000
+-1602716.2462599999 -264142.2177620000
+-1602425.7630680001 -264345.6162900000
+-1601888.3390150000 -264505.4724840000
+-1601641.3981550001 -264461.9301510000
+-1601350.9149630000 -264665.3286790000
+-1601060.4317699999 -264868.7272060000
+-1600479.4653840000 -265275.5242610000
+-1600188.9821919999 -265478.9227880000
+-1599898.4989990001 -265682.3213160000
+-1599608.0158060000 -265885.7198430000
+-1599027.0494210001 -266292.5168980000
+-1598736.5662280000 -266495.9154250000
+-1598446.0830349999 -266699.3139520000
+-1598402.5407030000 -266946.2548130000
+-1598605.9392299999 -267236.7380050000
+-1598518.8545639999 -267730.6197260000
+-1598722.2530910000 -268021.1029190000
+-1598678.7107579999 -268268.0437790000
+-1598635.1684250000 -268514.9846390000
+-1598591.6260919999 -268761.9254990000
+-1598795.0246190000 -269052.4086920000
+-1598751.4822869999 -269299.3495520000
+-1598707.9399540001 -269546.2904130000
+-1598620.8552880001 -270040.1721330000
+-1598577.3129550000 -270287.1129930000
+-1598533.7706220001 -270534.0538530000
+-1598737.1691490000 -270824.5370460000
+-1598693.6268170001 -271071.4779060000
+-1598650.0844840000 -271318.4187660000
+-1598606.5421509999 -271565.3596270000
+-1598316.0589580000 -271768.7581540000
+-1598228.9742930001 -272262.6398740000
+-1597938.4911000000 -272466.0384020000
+-1597648.0079069999 -272669.4369290000
+-1597067.0415220000 -273076.2339840000
+-1597023.4991890001 -273323.1748440000
+-1596979.9568560000 -273570.1157040000
+-1596936.4145229999 -273817.0565640000
+-1596892.8721900000 -274063.9974240000
+-1596805.7875250001 -274557.8791450000
+-1596762.2451919999 -274804.8200050000
+-1596718.7028590001 -275051.7608650000
+-1596675.1605260000 -275298.7017250000
+-1596631.6181930001 -275545.6425850000
+-1596341.1350010000 -275749.0411130000
+-1596297.5926679999 -275995.9819730000
+-1595963.5671420000 -276446.3213600000
+-1595920.0248090001 -276693.2622210000
+-1595629.5416170000 -276896.6607480000
+-1595339.0584239999 -277100.0592750000
+-1595048.5752310001 -277303.4578030000
+-1594467.6088459999 -277710.2548570000
+-1594177.1256530001 -277913.6533850000
+-1593886.6424600000 -278117.0519120000
+-1593392.7607410001 -278029.9672470000
+-1593102.2775480000 -278233.3657740000
+-1592898.8790209999 -277942.8825810000
+-1592695.4804940000 -277652.3993880000
+-1592201.5987740001 -277565.3147220000
+-1591998.2002470000 -277274.8315290000
+-1592041.7425800001 -277027.8906690000
+-1591838.3440530000 -276737.4074760000
+-1591881.8863860001 -276490.4666160000
+-1591722.0301910001 -275953.0425630000
+-1591765.5725240000 -275706.1017030000
+-1591562.1739970001 -275415.6185100000
+-1591605.7163300000 -275168.6776500000
+-1591402.3178030001 -274878.1944570000
+-1591198.9192760000 -274587.7112640000
+-1591242.4616090001 -274340.7704040000
+-1591039.0630820000 -274050.2872110000
+-1591082.6054150001 -273803.3463510000
+-1590922.7492209999 -273265.9222970000
+-1590966.2915530000 -273018.9814370000
+-1590762.8930259999 -272728.4982440000
+-1590806.4353590000 -272481.5573840000
+-1590603.0368319999 -272191.0741910000
+-1590399.6383050000 -271900.5909980000
+-1590443.1806379999 -271653.6501380000
+-1590239.7821110000 -271363.1669450000
+-1590036.3835839999 -271072.6837520000
+-1590123.4682499999 -270578.8020320000
+-1589920.0697230001 -270288.3188390000
+-1589716.6711960000 -269997.8356460000
+-1589760.2135280001 -269750.8947860000
+-1589556.8150010000 -269460.4115930000
+-1589600.3573340001 -269213.4707330000
+-1589440.5011400001 -268676.0466800000
+-1589484.0434729999 -268429.1058190000
+-1589280.6449460001 -268138.6226260000
+-1589077.2464190000 -267848.1394340000
+-1588873.8478920001 -267557.6562410000
+-1588423.5085050000 -267223.6307150000
+-1588220.1099779999 -266933.1475220000
+-1587973.1691180000 -266889.6051890000
+-1587726.2282580000 -266846.0628560000
+-1587479.2873980000 -266802.5205230000
+-1586985.4056780001 -266715.4358580000
+-1586738.4648190001 -266671.8935250000
+-1586491.5239589999 -266628.3511920000
+-1586244.5830989999 -266584.8088590000
+-1585997.6422389999 -266541.2665270000
+-1585750.7013790000 -266497.7241940000
+-1585256.8196590000 -266410.6395280000
+-1585009.8787990001 -266367.0971960000
+-1584762.9379400001 -266323.5548630000
+-1584472.4547470000 -266526.9533900000
+-1584428.9124139999 -266773.8942500000
+-1584138.4292210001 -266977.2927780000
+-1583804.4036960001 -267427.6321650000
+-1583760.8613630000 -267674.5730250000
+-1583470.3781699999 -267877.9715530000
+-1583179.8949770001 -268081.3700800000
+-1583136.3526450000 -268328.3109400000
+-1582845.8694519999 -268531.7094680000
+-1582802.3271190000 -268778.6503280000
+-1582468.3015940001 -269228.9897150000
+-1582424.7592610000 -269475.9305750000
+-1582134.2760679999 -269679.3291030000
+-1582090.7337350000 -269926.2699630000
+-1581800.2505419999 -270129.6684900000
+-1581509.7673500001 -270333.0670180000
+-1581219.2841570000 -270536.4655450000
+-1581132.1994910000 -271030.3472650000
+-1580841.7162990000 -271233.7457930000
+-1580551.2331060001 -271437.1443200000
+-1580507.6907730000 -271684.0851800000
+-1580217.2075799999 -271887.4837080000
+-1580173.6652470001 -272134.4245680000
+-1579839.6397220001 -272584.7639550000
+-1579796.0973890000 -272831.7048160000
+-1579505.6141959999 -273035.1033430000
+-1579462.0718640001 -273282.0442030000
+-1579418.5295309999 -273528.9850630000
+-1579128.0463380001 -273732.3835910000
+-1579084.5040050000 -273979.3244510000
+-1578750.4784800000 -274429.6638380000
+-1578706.9361469999 -274676.6046980000
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux3.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux3.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux3.exp	(revision 18301)
@@ -0,0 +1,10 @@
+## Name:MassFlux4
+## Icon:0
+# Points Count Value
+4 1.000000
+# X pos Y pos
+-1605390.0162510793 -209047.7381093690
+-1592454.5133393104 -208141.0538114636
+-1574086.0992045982 -208918.2117810968
+-1560891.8862345938 -210472.5277203633
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux4.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux4.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux4.exp	(revision 18301)
@@ -0,0 +1,8 @@
+## Name:MassFlux5
+## Icon:0
+# Points Count Value
+2 1.000000
+# X pos Y pos
+-1660144.8928561222 -319887.0521198768
+-1630434.8468677206 -298387.4931837295
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux5.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux5.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux5.exp	(revision 18301)
@@ -0,0 +1,8 @@
+## Name:MassFlux6
+## Icon:0
+# Points Count Value
+2 1.000000
+# X pos Y pos
+-1635925.9455644884 -157610.4872330402
+-1625288.0602165582 -120861.2411445094
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux6.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux6.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux6.exp	(revision 18301)
@@ -0,0 +1,8 @@
+## Name:MassFlux7
+## Icon:0
+# Points Count Value
+2 1.000000
+# X pos Y pos
+-1642052.5574172530 -95522.7999921589
+-1610982.9267521810 -78949.7704229522
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux7.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux7.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux7.exp	(revision 18301)
@@ -0,0 +1,8 @@
+## Name:MassFlux8
+## Icon:0
+# Points Count Value
+2 1.000000
+# X pos Y pos
+-1605014.5365509845 -81707.1563440522
+-1566756.1417461073 -82763.2940976564
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux8.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux8.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux8.exp	(revision 18301)
@@ -0,0 +1,8 @@
+## Name:MassFlux9
+## Icon:0
+# Points Count Value
+2 1.000000
+# X pos Y pos
+-1555378.1885604258 -45179.9925785796
+-1550583.9034971579 -68415.0231578706
+
Index: issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux9.exp
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux9.exp	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/MassFluxes/MassFlux9.exp	(revision 18301)
@@ -0,0 +1,8 @@
+## Name:MassFlux10
+## Icon:0
+# Points Count Value
+2 1.000000
+# X pos Y pos
+-1565010.6613481115 -111795.8673475993
+-1537474.3225972611 -138442.9656094175
+
